FreeMat

- Main Page
- Related Pages

vtkQuadraturePointInterpolator

Section: Visualization Toolkit Graphics Classes

# Usage

Interpolates each scalar/vector field in a vtkUnstrcturedGrid on its input to a specific set of quadrature points. The set of quadrature points is specified per array via a dictionary (ie an instance of vtkInformationQuadratureSchemeDefinitionVectorKey). contained in the array. The interpolated fields are placed in FieldData along with a set of per cell indexes, that allow random access to a given cells quadrature points.

To create an instance of class vtkQuadraturePointInterpolator, simply invoke its constructor as follows

      obj = vtkQuadraturePointInterpolator

# Methods

The class vtkQuadraturePointInterpolator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkQuadraturePointInterpolator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkQuadraturePointInterpolator = obj.NewInstance ()`
- `vtkQuadraturePointInterpolator = obj.SafeDownCast (vtkObject o)`